Package net.shibboleth.saml.saml2.profile.config.navigate

# Class ProxyCountLookupFunction

java.lang.Object
net.shibboleth.profile.context.navigate.AbstractRelyingPartyLookupFunction<Integer>
net.shibboleth.saml.saml2.profile.config.navigate.ProxyCountLookupFunction

All Implemented Interfaces:
  `Function<ProfileRequestContext,Integer>`, `ContextDataLookupFunction<ProfileRequestContext,Integer>`

public class ProxyCountLookupFunction extends AbstractRelyingPartyLookupFunction<Integer>
A function that returns the allowable proxy count based on the result of `BrowserSSOProfileConfiguration.getProxyCount(ProfileRequestContext)`, if such a profile is available from a `RelyingPartyContext` obtained via a lookup function, by default a child of the `ProfileRequestContext`.

## Constructor Summary

Constructors
Constructor
Description
`ProxyCountLookupFunction()`

## Method Summary

Modifier and Type
Method
Description
`Integer`
`apply(ProfileRequestContext input)`

### Methods inherited from class net.shibboleth.profile.context.navigate.AbstractRelyingPartyLookupFunction

`getRelyingPartyContext, getRelyingPartyContextLookupStrategy, setRelyingPartyContextLookupStrategy`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.util.function.Function

`andThen, compose`

## Constructor Details

### ProxyCountLookupFunction

public ProxyCountLookupFunction()

## Method Details

### apply

@Nullable public Integer apply(@Nullable ProfileRequestContext input)